Put Organization Git Settings

puthttps://app.fossa.com/api/organizations/{id}/settings/languages/git

Update authentication settings for Git

Path parameters

idintegerrequired

Organization ID

Request body · application/json

authOptionsobject[]

List of Git configurations

Responses

204No content
401Unauthorized
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

403Forbidden
messagestring

Message describing the error

404NotFound
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

422Unprocessable Entity
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

500Server Error
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

PUT https://app.fossa.com/api/organizations/1/settings/languages/git
curl --request PUT \  --url 'https://app.fossa.com/api/organizations/1/settings/languages/git' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN' \  --header 'content-type: application/json' \  --data '{  "authOptions": [    {      "_id": "00000000-0000-0000-0000-000000000001",      "displayName": "token",      "type": "oauth_key",      "value": {        "__type": "s",        "value": "123456789"      }    },    {      "_id": "00000000-0000-0000-0000-000000000001",      "displayName": "user/pass",      "type": "basic",      "username": "git_user",      "password": {        "__type": "s",        "value": "password"      }    }  ]}'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.

Path params

idintegerrequired

Organization ID

application/json